-- Deploy numerus:expense_payment to pg
-- requires: roles
-- requires: schema_numerus
-- requires: expense
-- requires: payment

begin;

set search_path to numerus, public;

create table expense_payment (
	expense_id integer not null references expense,
	payment_id integer not null references payment,
	primary key (expense_id, payment_id)
);

grant select, insert, update, delete on table expense_payment to invoicer;
grant select, insert, update, delete on table expense_payment to admin;

alter table expense_payment enable row level security;

create policy company_policy
on expense_payment
using (
	exists(
		select 1
		from expense
		where expense.expense_id = expense_payment.expense_id
	)
);

commit;
